Package Details: qlcplus 4.12.1-1

Git Clone URL: https://aur.archlinux.org/qlcplus.git (read-only)
Package Base: qlcplus
Description: Q Light Controller Plus - The open DMX lighting desk software for controlling professional lighting fixtures.
Upstream URL: http://qlcplus.org/
Keywords: dmx lighting
Licenses: Apache
Conflicts: qlc, qlc-svn
Submitter: jlebleu
Maintainer: freaknils
Last Packager: freaknils
Votes: 21
Popularity: 0.046193
First Submitted: 2013-04-13 15:54
Last Updated: 2019-03-03 07:33

Latest Comments

1 2 3 4 5 Next › Last »

giagor commented on 2019-08-07 17:36

Hello, I've done today a new Arch installation and qlcplus doesn't build anymore, here the error when the build process stops:

qlcchannel.cpp:1044:64: error: ‘void qSort(RandomAccessIterator, RandomAccessIterator, LessThan) [with RandomAccessIterator = QList<QLCCapability*>::iterator; LessThan = bool ()(const QLCCapability, const QLCCapability*)]’ is deprecated: Use std::sort [-Werror=deprecated-declarations]

mightydread commented on 2019-07-19 10:28

Im getting the following error:

qlcfixturemode.cpp: In member function ‘void QLCFixtureMode::replaceHead(int, const QLCFixtureHead&)’: qlcfixturemode.cpp:268:26: error: implicitly-declared ‘QLCFixtureHead& QLCFixtureHead::operator=(const QLCFixtureHead&)’ is deprecated [-Werror=deprecated-copy] 268 | m_heads[index] = head; | ^~~~ In file included from qlcfixturemode.h:28, from qlcfixturemode.cpp:27: qlcfixturehead.h:41:5: note: because ‘QLCFixtureHead’ has user-provided ‘QLCFixtureHead::QLCFixtureHead(const QLCFixtureHead&)’ 41 | QLCFixtureHead(const QLCFixtureHead& head); | ^~~~~~~~~~~~~~ qlcfixturemode.cpp: In member function ‘QLCPhysical QLCFixtureMode::physical() const’: qlcfixturemode.cpp:333:12: error: implicitly-declared ‘QLCPhysical::QLCPhysical(const QLCPhysical&)’ is deprecated [-Werror=deprecated-copy] 333 | return m_physical; | ^~~~~~~~~~ In file included from qlcfixturedef.h:28, from qlcfixturemode.h:29, from qlcfixturemode.cpp:27: qlcphysical.h:78:18: note: because ‘QLCPhysical’ has user-provided ‘QLCPhysical& QLCPhysical::operator=(const QLCPhysical&)’ 78 | QLCPhysical& operator=(const QLCPhysical& physical); | ^~~~~~~~ qlcfixturehead.cpp: In member function ‘void QLCFixtureHead::cacheChannels(const QLCFixtureMode)’: qlcfixturehead.cpp:209:24: error: ‘void qSort(Container&) [with Container = QVector<unsigned int>]’ is deprecated: Use std::sort [-Werror=deprecated-declarations] 209 | qSort(m_colorWheels); | ^ In file included from /usr/include/qt/QtCore/qlist.h:43, from /usr/include/qt/QtCore/qobject.h:49, from /usr/include/qt/QtCore/qiodevice.h:45, from /usr/include/qt/QtCore/qxmlstream.h:43, from /usr/include/qt/QtCore/QXmlStreamReader:1, from qlcfixturehead.cpp:21: /usr/include/qt/QtCore/qalgorithms.h:188:46: note: declared here 188 | QT_DEPRECATED_X("Use std::sort") inline void qSort(Container &c) | ^~~~~ qlcfixturehead.cpp:209:24: error: ‘void qSort(Container&) [with Container = QVector<unsigned int>]’ is deprecated: Use std::sort [-Werror=deprecated-declarations] 209 | qSort(m_colorWheels); | ^ In file included from /usr/include/qt/QtCore/qlist.h:43, from /usr/include/qt/QtCore/qobject.h:49, from /usr/include/qt/QtCore/qiodevice.h:45, from /usr/include/qt/QtCore/qxmlstream.h:43, from /usr/include/qt/QtCore/QXmlStreamReader:1, from qlcfixturehead.cpp:21: /usr/include/qt/QtCore/qalgorithms.h:188:46: note: declared here 188 | QT_DEPRECATED_X("Use std::sort") inline void qSort(Container &c) | ^~~~~ qlcfixturehead.cpp:210:28: error: ‘void qSort(Container&) [with Container = QVector<unsigned int>]’ is deprecated: Use std::sort [-Werror=deprecated-declarations] 210 | qSort(m_shutterChannels); | ^ In file included from /usr/include/qt/QtCore/qlist.h:43, from /usr/include/qt/QtCore/qobject.h:49, from /usr/include/qt/QtCore/qiodevice.h:45, from /usr/include/qt/QtCore/qxmlstream.h:43, from /usr/include/qt/QtCore/QXmlStreamReader:1, from qlcfixturehead.cpp:21: /usr/include/qt/QtCore/qalgorithms.h:188:46: note: declared here 188 | QT_DEPRECATED_X("Use std::sort") inline void qSort(Container &c) | ^~~~~ qlcfixturehead.cpp:210:28: error: ‘void qSort(Container&) [with Container = QVector<unsigned int>]’ is deprecated: Use std::sort [-Werror=deprecated-declarations] 210 | qSort(m_shutterChannels); | ^ In file included from /usr/include/qt/QtCore/qlist.h:43, from /usr/include/qt/QtCore/qobject.h:49, from /usr/include/qt/QtCore/qiodevice.h:45, from /usr/include/qt/QtCore/qxmlstream.h:43, from /usr/include/qt/QtCore/QXmlStreamReader:1, from qlcfixturehead.cpp:21: /usr/include/qt/QtCore/qalgorithms.h:188:46: note: declared here 188 | QT_DEPRECATED_X("Use std::sort") inline void qSort(Container &c) | ^~~~~ qlcchannel.cpp: In member function ‘void QLCChannel::sortCapabilities()’: qlcchannel.cpp:1044:64: error: ‘void qSort(RandomAccessIterator, RandomAccessIterator, LessThan) [with RandomAccessIterator = QList<QLCCapability*>::iterator; LessThan = bool ()(const QLCCapability, const QLCCapability)]’ is deprecated: Use std::sort [-Werror=deprecated-declarations] 1044 | qSort(m_capabilities.begin(), m_capabilities.end(), capsort); | ^ In file included from /usr/include/qt/QtCore/qlist.h:43, from /usr/include/qt/QtCore/qobject.h:49, from /usr/include/qt/QtCore/qiodevice.h:45, from /usr/include/qt/QtCore/qxmlstream.h:43, from /usr/include/qt/QtCore/QXmlStreamReader:1, from qlcchannel.cpp:21: /usr/include/qt/QtCore/qalgorithms.h:181:46: note: declared here 181 | QT_DEPRECATED_X("Use std::sort") inline void qSort(RandomAccessIterator start, RandomAccessIterator end, LessThan lessThan) | ^~~~~ qlcchannel.cpp:1044:64: error: ‘void qSort(RandomAccessIterator, RandomAccessIterator, LessThan) [with RandomAccessIterator = QList<QLCCapability*>::iterator; LessThan = bool ()(const QLCCapability, const QLCCapability*)]’ is deprecated: Use std::sort [-Werror=deprecated-declarations] 1044 | qSort(m_capabilities.begin(), m_capabilities.end(), capsort); | ^ In file included from /usr/include/qt/QtCore/qlist.h:43, from /usr/include/qt/QtCore/qobject.h:49, from /usr/include/qt/QtCore/qiodevice.h:45, from /usr/include/qt/QtCore/qxmlstream.h:43, from /usr/include/qt/QtCore/QXmlStreamReader:1, from qlcchannel.cpp:21: /usr/include/qt/QtCore/qalgorithms.h:181:46: note: declared here 181 | QT_DEPRECATED_X("Use std::sort") inline void qSort(RandomAccessIterator start, RandomAccessIterator end, LessThan lessThan) | ^~~~~ cc1plus: all warnings being treated as errors

The version of qt5-base is 5.13.0-7

freaknils commented on 2019-03-03 07:34

Since QT4 is not supported anymore by Massimo, I moved the qlcplus-qt5 to this package. Now qlcplus provides the QT5 version of QLCplus.

The old package qlcplus-qt5 will be removed in a short time!

ciacnorris commented on 2019-01-29 01:44

I think I'm getting the same error:

make[3]: ingresso nella directory "/home/user/.cache/pacaur/qlcplus/src/qlcplus-QLC-_4.12.0/engine/audio/src" g++ -c -pipe -Wno-error=unused-variable -Werror -Wno-unused-local-typedefs -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong -fno-plt -fPIC -Wall -W -D_REENTRANT -DQT_NO_DEBUG_OUTPUT -DHAS_FFTW3 -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I../../src -I../../../plugins/interfaces -I. -o audio.o audio.cpp In file included from /usr/include/qt4/QtCore/qxmlstream.h:50, from /usr/include/qt4/QtCore/QXmlStreamReader:1, from audio.cpp:20: /usr/include/qt4/QtCore/qvector.h: In instantiation of ‘void QVector<T>::realloc(int, int) [with T = QXmlStreamAttribute]’: /usr/include/qt4/QtCore/qvector.h:337:3: required from ‘void QVector<T>::detach_helper() [with T = QXmlStreamAttribute]’ /usr/include/qt4/QtCore/qvector.h:123:84: required from ‘QVector<T>::QVector(const QVector<T>&) [with T = QXmlStreamAttribute]’ /usr/include/qt4/QtCore/qxmlstream.h:169:26: required from here /usr/include/qt4/QtCore/qvector.h:503:25: error: ‘void memcpy(void, const void*, size_t)’ writing to an object of type ‘QVector<QXmlStreamAttribute>::Data’ {aka ‘struct QVectorTypedData<QXmlStreamAttribute>’} with no trivial copy-assignment; use copy-assignment or copy-initialization instead [-Werror=class-memaccess] ::memcpy(x.p, p, sizeOfTypedData() + (qMin(aalloc, d->alloc) - 1) * sizeof(T)); ~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ In file included from /usr/include/qt4/QtCore/qxmlstream.h:50, from /usr/include/qt4/QtCore/QXmlStreamReader:1, from audio.cpp:20: /usr/include/qt4/QtCore/qvector.h:94:8: note: ‘QVector<QXmlStreamAttribute>::Data’ {aka ‘struct QVectorTypedData<QXmlStreamAttribute>’} declared here struct QVectorTypedData : private QVectorData ^~~~~~~~~~~~~~~~ cc1plus: all warnings being treated as errors make[3]: [Makefile:287: audio.o] Error 1 make[3]: uscita dalla directory "/home/user/.cache/pacaur/qlcplus/src/qlcplus-QLC-_4.12.0/engine/audio/src" make[2]: [Makefile:76: sub-src-make_default-ordered] Error 2 make[2]: uscita dalla directory "/home/user/.cache/pacaur/qlcplus/src/qlcplus-QLC-_4.12.0/engine/audio" make[1]: [Makefile:41: sub-audio-make_default-ordered] Error 2 make[1]: uscita dalla directory "/home/user/.cache/pacaur/qlcplus/src/qlcplus-QLC-_4.12.0/engine" make: [Makefile:83: sub-engine-make_default-ordered] Error 2 ==> ERRORE: Si è verificato un errore in build(). L'operazione sta per essere interrotta... :: Errore compilando il/i pacchetto/i qlcplus

fukawi2 commented on 2019-01-09 00:32

I get the same error just now.

Sr.Verde commented on 2018-12-28 15:38

Hey, I cannot build qlcplus with this package anymore (since a while/the last update). I get:

/usr/include/qt4/QtCore/qvector.h:503:25: Fehler: »void memcpy(void, const void*, size_t)« Schreibzugriff auf ein Objekt des Typs »QVector<QXmlStreamAttribute>::Data« {aka »struct QVectorTypedData<QXmlStreamAttribute>«} ohne triviale Kopierzuweisung; use copy-assignment or copy-initialization instead [-Werror=class-memaccess] ::memcpy(x.p, p, sizeOfTypedData() + (qMin(aalloc, d->alloc) - 1) * sizeof(T)); ~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ In file included from /usr/include/qt4/QtCore/qxmlstream.h:50, from /usr/include/qt4/QtCore/QXmlStreamReader:1, from audio.cpp:20: /usr/include/qt4/QtCore/qvector.h:94:8: Anmerkung: »QVector<QXmlStreamAttribute>::Data« {aka »struct QVectorTypedData<QXmlStreamAttribute>«} wird hier deklariert struct QVectorTypedData : private QVectorData ^~~~~~~~~~~~~~~~

Could you fix that?

jlebleu commented on 2015-10-07 15:47

@debbio: @mcallegari: Thanks! :) I've updated the package with this fix.

@mcallegari: Yes it's possible to make a git-based package, the difference with OBS - which I understand better thanks to your explanations - is that the build is done on the user side - with yaourt for example. That's why it could be really great to integrate your great software in the official repository! :) And also in other distributions - e.g. Debian, as your package seems already well done!

debbio commented on 2015-09-26 22:17

Yeah Massimo! This solution let me compile the pkgbuild without errors

In PKGBUILD replace 'qmake-qt4" with this:
qmake-qt4 QMAKE_CXXFLAGS+=-Wno-error=unused-variable

Thanks

mcallegari commented on 2015-09-26 19:04

I solved the build error, but I'm about to throw up.
Basically Arch had the genious idea to introduce GCC 5.2.0 while keeping (and not patching) Qt4, which is at least 3 years older.
Result: build errors like if there is no tomorrow.
This is the price to pay for wanting to be on the bleeding edge.

Cut to the point. In PKGBUILD replace 'qmake-qt4" with this:
qmake-qt4 QMAKE_CXXFLAGS+=-Wno-error=unused-variable

debbio commented on 2015-09-25 23:24

Here there is the complete error; how can I execute it with LC_ALL=C?
http://pastebin.com/Nvz1wM7e


Thank you so much